#pragma once

// ESP32 specific
#include "driver/ledc.h"

// project specific
#include "SpiderLib/NumberTypes.hpp"


namespace SiliconTorch {

  namespace Impl {

    class PWMChannel {
      public:
        PWMChannel(u8 channel, u8 gpio);

        u32 getPWM();
        void setPWM(u32 pwm);
      
      private:
        u32 pwm = 0;
        ledc_channel_t channel;
    };

  }
}
